# Flexible Scorer Library

Flexible Scorer is a Python library that allows you to evaluate and score text content based on custom criteria using OpenAI's GPT models. It provides a systematic way to assess texts, taking advantage of AI's capabilities to interpret and analyze content according to user-defined parameters.


## Installation

Installation through PIP manager
```bash
pip install flexiblescorer
```

## Set OpenAI API key as environment
Enter OpenAI API key to use model

### a. For Windows Users
```commandline
    set OPENAI_API_KEY=your-api-key-here
```

Verify that the variable is set:
```
    echo %OPENAI_API_KEY%
```

### For macOS and Linux Users
```
    export OPENAI_API_KEY=your-api-key-here
```
Verify that the variable is set
```commandline
    echo $OPENAI_API_KEY
```
